%define        module Makefile-Parser
Name:          perl-%module
Version:       0.211
Release:       %mkrel 3
Summary:       Makefile::Parser - A simple parser for Makefiles
License:       Artistic, GPL
Group:         System/Libraries
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/A/AG/AGENT/%module-%{version}.tar.gz

BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Class::Trigger)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(IPC::Run3)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Makefile::DOM)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Balanced)
BuildRequires: perl-devel
Requires:      perl
Requires:      perl(Class::Accessor::Fast)
Requires:      perl(Class::Trigger)
Requires:      perl(File::Slurp)
Requires:      perl(List::MoreUtils)
Requires:      perl(Makefile::DOM)
Requires:      perl(Text::Balanced)
BuildArch:     noarch

%description
This is a simple parser for Makefiles. At this very early stage, the parser
only supports a limited set of features, so it may not recognize most of
the advanced features provided by certain make tools like GNU make. Its
initial purpose is to provide basic support for another module named
Makefile::GraphViz, which is aimed to render the building process specified
by a Makefile using the amazing GraphViz library. The Make module is not
satisfactory for this purpose, so I decided to build one of my own.

%prep
%setup -q -n %module-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
#make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_std

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%files
%{_bindir}/makesimple
%{_bindir}/pgmake-db
%{_bindir}/plmake
%{perl_vendorlib}/*
%{_mandir}/man3/*.3pm.xz
%{_mandir}/man1/*.1.xz
%doc Changes README

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.211-3.mga4
+ Revision: 512762
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.211-2.mga3
+ Revision: 369507
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 31 2011 gil <gil> 0.211-1.mga2
+ Revision: 189208
- rebuilt with perl 5.14.2
- edit release
- imported package perl-Makefile-Parser

  + dmorgan <dmorgan>
    - Clean spec file

